ranges::distance_compare_fn Struct Reference
Iterator
Inheritance diagram for ranges::distance_compare_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires range< Rng >) ccconstexpr int operator()(Rng &&rng
Public Member Functions inherited from ranges::iter_distance_compare_fn
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires input_iterator< I > &&sentinel_for< S, I >) ccconstexpr int operator()(I first

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const
Public Attributes inherited from ranges::iter_distance_compare_fn
CPP_TEMPLATE_AUX_0 S iter_difference_t< I > n | const
CPP_TEMPLATE_AUX_0 S | last

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n ranges::distance_compare_fn::const

Initial value:
{
return distance_compare_fn::impl_r(rng, n, sized_range_tag_of<Rng>())